<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>AAA.lib.find.ship</name>
<version>3</version>
<engineversion>25</engineversion>
<description>Return a non pirate ship</description>
<arguments>
<argument index="1" name="sector" type="Var/Sector" desc="Sector" />
<argument index="2" name="type" type="Var/Class" desc="ship type" />
<argument index="3" name="MaxJump" type="Value" desc="Max Number of Jump" />
<argument index="4" name="Race" type="Value" desc="Race ou null" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$races&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>6</var></line>
<line linenr="002" indent=""><var>if&#160;</var><var>$Race</var><text>&#160;</text><var>==</var><text>&#160;</text><var>null</var></line>
<line linenr="003" indent="&#160;"><var>$races</var><text>[</text><var>0</var><text>]&#160;=&#160;</text><var>Argon</var></line>
<line linenr="004" indent="&#160;"><var>$races</var><text>[</text><var>1</var><text>]&#160;=&#160;</text><var>Boron</var></line>
<line linenr="005" indent="&#160;"><var>$races</var><text>[</text><var>2</var><text>]&#160;=&#160;</text><var>Player</var></line>
<line linenr="006" indent="&#160;"><var>$races</var><text>[</text><var>3</var><text>]&#160;=&#160;</text><var>Paranid</var></line>
<line linenr="007" indent="&#160;"><var>$races</var><text>[</text><var>4</var><text>]&#160;=&#160;</text><var>Split</var></line>
<line linenr="008" indent="&#160;"><var>$races</var><text>[</text><var>5</var><text>]&#160;=&#160;</text><var>Teladi</var></line>
<line linenr="009" indent="&#160;"><var>$racecount&#160;=&#160;</var><var>6</var></line>
<line linenr="010" indent=""><text>else</text></line>
<line linenr="011" indent="&#160;"><var>$races</var><text>[</text><var>0</var><text>]&#160;=&#160;</text><var>$Race</var></line>
<line linenr="012" indent="&#160;"><var>$racecount&#160;=&#160;</var><var>1</var></line>
<line linenr="013" indent=""><text>end</text></line>
<line linenr="014" indent=""></line>
<line linenr="015" indent=""><var>$ship&#160;=&#160;</var><var>null</var></line>
<line linenr="016" indent=""></line>
<line linenr="017" indent=""><var>$x&#160;=&#160;</var><var>0</var></line>
<line linenr="018" indent=""><var>while&#160;</var><var>$x</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$racecount</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$ship</var><text>&#160;</text><var>==</var><text>&#160;</text><var>null</var></line>
<line linenr="019" indent="&#160;"><var>$currentrace&#160;=&#160;</var><var>$races</var><text>[</text><var>$x</var><text>]</text></line>
<line linenr="020" indent="&#160;"><var>$ship&#160;=&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>$sector</var><text>&#160;class&#160;or&#160;type=</text><var>$type</var><text>&#160;race=</text><var>$currentrace</var><text>&#160;flags=</text><var>[Find.Random]</var><text>&#160;refobj=</text><var>null</var><text>&#160;maxdist=</text><var>null</var><text>&#160;maxnum=</text><var>1</var><text>&#160;refpos=</text><var>null</var></line>
<line linenr="021" indent="&#160;"><text>inc&#160;</text><var>$x&#160;=&#160;</var></line>
<line linenr="022" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;</text><var>10</var><text>&#160;ms</text></line>
<line linenr="023" indent=""><text>end</text></line>
<line linenr="024" indent=""></line>
<line linenr="025" indent=""><var>$y&#160;=&#160;</var><var>1</var></line>
<line linenr="026" indent=""><var>if&#160;</var><var>(</var><text>&#160;</text><var>$ship</var><text>&#160;</text><var>==</var><text>&#160;</text><var>null</var><text>&#160;</text><var>)</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>(</var><text>&#160;</text><var>$MaxJump</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var><text>&#160;</text><var>)</var></line>
<line linenr="027" indent="&#160;"><var>while&#160;</var><var>(</var><text>&#160;</text><var>$y</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>$MaxJump</var><text>&#160;</text><var>)</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>(</var><text>&#160;</text><var>$ship</var><text>&#160;</text><var>==</var><text>&#160;</text><var>null</var><text>&#160;</text><var>)</var></line>
<line linenr="028" indent="&#160;&#160;"><var>$newsector&#160;=&#160;</var><text>&#160;find&#160;a&#160;random&#160;sector:&#160;startsector=</text><var>$sector</var><text>,&#160;jumps=</text><var>$y</var><text>,&#160;owner=</text><var>null</var></line>
<line linenr="029" indent="&#160;&#160;"><text>inc&#160;</text><var>$y&#160;=&#160;</var></line>
<line linenr="030" indent="&#160;&#160;"><var>$x&#160;=&#160;</var><var>0</var></line>
<line linenr="031" indent="&#160;&#160;"><var>while&#160;</var><var>(</var><text>&#160;</text><var>$x</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$racecount</var><text>&#160;</text><var>)</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>(</var><text>&#160;</text><var>$ship</var><text>&#160;</text><var>==</var><text>&#160;</text><var>null</var><text>&#160;</text><var>)</var></line>
<line linenr="032" indent="&#160;&#160;&#160;"><var>$currentrace&#160;=&#160;</var><var>$races</var><text>[</text><var>$x</var><text>]</text></line>
<line linenr="033" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$type</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Factory</var></line>
<line linenr="034" indent="&#160;&#160;&#160;&#160;"><var>$ship&#160;=&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>$newsector</var><text>&#160;class&#160;or&#160;type=</text><var>$type</var><text>&#160;race=</text><var>$currentrace</var><text>&#160;flags=</text><var>[Find.Random]</var><text>&#160;refobj=</text><var>null</var><text>&#160;maxdist=</text><var>null</var><text>&#160;maxnum=</text><var>1</var><text>&#160;refpos=</text><var>null</var></line>
<line linenr="035" indent="&#160;&#160;&#160;"><text>else</text></line>
<line linenr="036" indent="&#160;&#160;&#160;&#160;"><var>$ship&#160;=&#160;</var><text>&#160;find&#160;station:&#160;sector=</text><var>$newsector</var><text>&#160;class&#160;or&#160;type=</text><var>$type</var><text>&#160;race=</text><var>$currentrace</var><text>&#160;flags=</text><var>[Formation.Random]</var><text>&#160;refobj=</text><var>null</var><text>&#160;maxdist=</text><var>null</var><text>&#160;maxnum=</text><var>1</var><text>&#160;refpos=</text><var>null</var></line>
<line linenr="037" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="038" indent="&#160;&#160;&#160;"></line>
<line linenr="039" indent="&#160;&#160;&#160;"><text>inc&#160;</text><var>$x&#160;=&#160;</var></line>
<line linenr="040" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>10</var><text>&#160;ms</text></line>
<line linenr="041" indent="&#160;&#160;"><text>end</text></line>
<line linenr="042" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>10</var><text>&#160;ms</text></line>
<line linenr="043" indent="&#160;"><text>end</text></line>
<line linenr="044" indent=""><text>end</text></line>
<line linenr="045" indent=""></line>
<line linenr="046" indent=""><text>return&#160;</text><var>$ship</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="AAA.lib.find.ship" /><sval type="int" val="25" /><sval type="string" val="Return a non pirate ship" /><sval type="int" val="3" /><sval type="int" val="0" /><sval type="array" size="11"><sval type="string" val="sector" /><sval type="string" val="type" /><sval type="string" val="MaxJump" /><sval type="string" val="Race" /><sval type="string" val="races" /><sval type="string" val="racecount" /><sval type="string" val="ship" /><sval type="string" val="x" /><sval type="string" val="currentrace" /><sval type="string" val="y" /><sval type="string" val="newsector" /></sval><sval type="array" size="38"><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="6" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610173" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="10" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="10" /><sval type="int" val="10" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="10" /><sval type="int" val="4" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="10" /><sval type="int" val="3" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="10" /><sval type="int" val="5" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="12" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610607607" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /><sval type="int" val="0" /><sval type="int" val="-5" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131075" /><sval type="int" val="105" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="7" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="14" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="9" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="29"><sval type="int" val="104" /><sval type="int" val="-1610603261" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="11" /><sval type="int" val="16" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="17" /><sval type="int" val="9" /><sval type="int" val="16" /><sval type="int" val="-4" /><sval type="int" val="2" /><sval type="int" val="-5" /><sval type="int" val="17" /></sval><sval type="array" size="29"><sval type="int" val="104" /><sval type="int" val="-1610603255" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="11" /><sval type="int" val="16" /><sval type="int" val="-1" /><sval type="int" val="5" /><sval type="int" val="-2" /><sval type="int" val="17" /><sval type="int" val="9" /><sval type="int" val="16" /><sval type="int" val="-4" /><sval type="int" val="0" /><sval type="int" val="-5" /><sval type="int" val="17" /></sval><sval type="array" size="8"><sval type="int" val="810" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="9" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="29"><sval type="int" val="104" /><sval type="int" val="-1610603767" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="11" /><sval type="int" val="16" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /><sval type="int" val="17" /><sval type="int" val="9" /><sval type="int" val="16" /><sval type="int" val="-4" /><sval type="int" val="0" /><sval type="int" val="-5" /><sval type="int" val="17" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604797" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="12" /><sval type="int" val="2006" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131075" /><sval type="int" val="105" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="32" /></sval><sval type="array" size="18"><sval type="int" val="794" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131075" /><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="7" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="26" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="22" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval></sval><sval type="array" size="4"><sval type="array" size="2"><sval type="int" val="14" /><sval type="string" val="Sector" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="string" val="ship type" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="Max Number of Jump" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="Race ou null" /></sval></sval><sval type="array" size="13"><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="13" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="35" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
